package com.lightinit.hsdatashow.model.admin;

import org.apache.poi.ss.formula.functions.T;

import java.util.List;

public class EducationalPortraitListModel<T> {
   private  List<EducationalPortraitNameModel> listName;
    private List<T> value;
   // private  List<EducationalPortraitNameModel> listName1;
    private List<T> value1;
   // private  List<EducationalPortraitNameModel> listName2;
    private List<T> value2;
    private List<Integer> dataYear ;

    public List<EducationalPortraitNameModel> getListName() {
        return listName;
    }

    public void setListName(List<EducationalPortraitNameModel> listName) {
        this.listName = listName;
    }

    public List<T> getValue() {
        return value;
    }

    public void setValue(List<T> value) {
        this.value = value;
    }

    public List<Integer> getDataYear() {
        return dataYear;
    }

    public void setDataYear(List<Integer> dataYear) {
        this.dataYear = dataYear;
    }

//    public List<EducationalPortraitNameModel> getListName1() {
//        return listName1;
//    }
//
//    public void setListName1(List<EducationalPortraitNameModel> listName1) {
//        this.listName1 = listName1;
//    }

    public List<T> getValue1() {
        return value1;
    }

    public void setValue1(List<T> value1) {
        this.value1 = value1;
    }

//    public List<EducationalPortraitNameModel> getListName2() {
//        return listName2;
//    }
//
//    public void setListName2(List<EducationalPortraitNameModel> listName2) {
//        this.listName2 = listName2;
//    }

    public List<T> getValue2() {
        return value2;
    }

    public void setValue2(List<T> value2) {
        this.value2 = value2;
    }
}
